Package org.kie.internal.utils

# Class CompositeClassLoader

java.lang.Object
java.lang.ClassLoader
org.kie.internal.utils.CompositeClassLoader

public class CompositeClassLoader extends ClassLoader
This is an Internal Drools Class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeClassLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addClassLoader(ClassLoader classLoader)`
  `void`
  `addClassLoaderToEnd(ClassLoader classLoader)`
  `CompositeClassLoader`
  `clone()`
  `void`
  `dumpStats()`
  `Collection<ClassLoader>`
  `getClassLoaders()`
  `URL`
  `getResource(String name)`
  `InputStream`
  `getResourceAsStream(String name)`
  This ClassLoader never has classes of it's own, so only search the child ClassLoaders and the parent ClassLoader if one is provided
  `Enumeration<URL>`
  `getResources(String name)`
  `Class<?>`
  `loadClass(String name, boolean resolve)`
  This ClassLoader never has classes of it's own, so only search the child ClassLoaders and the parent ClassLoader if one is provided
  `Class<?>`
  `loadClass(String name, boolean resolve, ClassLoader ignore)`
  This ClassLoader never has classes of it's own, so only search the child ClassLoaders and the parent ClassLoader if one is provided
  `void`
  `removeClassLoader(ClassLoader classLoader)`
  `void`
  `setCachingEnabled(boolean enabled)`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeClassLoader

    public CompositeClassLoader()

- ## Method Details

  - ### getClassLoaders

    public Collection<ClassLoader> getClassLoaders()

  - ### setCachingEnabled

    public void setCachingEnabled(boolean enabled)

  - ### addClassLoader

    public void addClassLoader(ClassLoader classLoader)

  - ### addClassLoaderToEnd

    public void addClassLoaderToEnd(ClassLoader classLoader)

  - ### removeClassLoader

    public void removeClassLoader(ClassLoader classLoader)

  - ### loadClass

    public Class<?> loadClass(String name, boolean resolve) throws ClassNotFoundException
    This ClassLoader never has classes of it's own, so only search the child ClassLoaders and the parent ClassLoader if one is provided
    Overrides:
      `loadClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`

  - ### loadClass

    public Class<?> loadClass(String name, boolean resolve, ClassLoader ignore) throws ClassNotFoundException
    This ClassLoader never has classes of it's own, so only search the child ClassLoaders and the parent ClassLoader if one is provided
    Throws:
      `ClassNotFoundException`

  - ### getResourceAsStream

    public InputStream getResourceAsStream(String name)
    This ClassLoader never has classes of it's own, so only search the child ClassLoaders and the parent ClassLoader if one is provided
    Overrides:
      `getResourceAsStream` in class `ClassLoader`

  - ### getResource

    public URL getResource(String name)
    Overrides:
      `getResource` in class `ClassLoader`

  - ### getResources

    public Enumeration<URL> getResources(String name) throws IOException
    Overrides:
      `getResources` in class `ClassLoader`
    Throws:
      `IOException`

  - ### dumpStats

    public void dumpStats()

  - ### clone

    public CompositeClassLoader clone()
    Overrides:
      `clone` in class `Object`